Skip to main content
POST
Enable reviewed future sending to Bloomerang

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

connection_id
integer
required

Connection id in the current organization.

Body

application/json

Validated request fields for this operation.

review_token
string
required

Opaque encrypted token from the ready outgoing activation preview. Valid for 24 hours and bound to organization, connection and current setup.

Example:

"Review Token"

selected_object_types
enum<string>[]
required

Selected object types. Validation: required, array, min:1.

Minimum array length: 1

Selected object types item. Validation: string; allowed values: donor, household, relationship, donation, note, task, interaction.

Available options:
donor,
household,
relationship,
donation,
note,
task,
interaction

Response

Operation result.

status
string
Example:

"success"

data
object

Reviewed sending authorization for future eligible changes only. Does not replay queued history or send a provider request.

message
string

Operation receipt.

Example:

"Example"